﻿namespace NETing.ExperimentsConsole.Experiments.Abstract.Commands
{
    using System;

    internal class PrintState : AbstractConsoleCommand
    {
        public override string Name
        {
            get { return "State"; }
        }

        public override string ShortDesc
        {
            get { return "Print the state of the index console."; }
        }

        public override void Execute(string arg)
        {
            Console.WriteLine("Posting file config: " + IndexConsole.PostingFileConfig.Name);
            Console.WriteLine("Storage directory: " + IndexConsole.StorageProfile.PostingFile.Directory);
        }
    }
}


