﻿namespace NETing.ExperimentsConsole.Experiments.Abstract.Commands
{
    using System;

    internal class Shutdown : AbstractConsoleCommand
    {
        public override string Name
        {
            get { return "Shutdown"; }
        }

        public override string ShortDesc
        {
            get { return "Will shut down the console."; }
        }

        public override void Execute(string arg)
        {
            IndexConsole.running = false;
            IndexConsole.Controller.Shutdown();
            Console.WriteLine("Stopping!");
        }
    }
}


