﻿namespace NETing.ExperimentsConsole.Experiments.QueryExecutionExperiment.Commands.Experiments
{
    using System.Collections.Generic;
    using System.IO;

    using Index.Controller.Configurations;
    using Index.QueryLanguage;

    internal interface IQueryExperiment
    {
        string Name { get; }
        bool Dense { get; }
        bool Concurrent { get; }
        int ConcurrencyLevel { get; }
        
        int WarmUp { get; }
        int Runs { get; }

        IEnumerable<FileInfo> Traces { get; }
        IEnumerable<IPostingFileConfig> Configs { get; }

        IEnumerable<Query> Filter(IEnumerable<Query> queries);
    }
}
