﻿namespace NETing.ExperimentsConsole.Experiments.QueryExecutionExperiment
{
    using System.Collections.Generic;

    using Abstract;

    using Commands;

    [Experiment(Name = "Query trace experiment.")]
    internal sealed class QueryTraceExecutionConsole : AbstractIndexConsole, IExperiment
    {
        public QueryTraceExecutionConsole()
        {
            IndexSystemConfig.BuffersReadOnly = true;
        }

        protected override IEnumerable<IIndexConsoleCommand> GetCommands()
        {
            return new IIndexConsoleCommand[]
                       {
                           new ExecuteQueryTrace(),
                           new ExecuteQueryInTrace(),
                           new QueryTraceExperiment(),
                           new RunExperiment()
                       };
        }
    }
}
