﻿namespace NETing.Index.ColumnAccess.Readers
{
    public interface IDocumentChunkEnumerator : IChunkEnumerator<uint>
    {
        /// <summary>
        /// Skips to supplied documentId or past chunk boundary.
        /// </summary>
        /// <param name="documentId">Document id to skip to.</param>
        /// <returns>The occurrenceId skipped to or boundary + 1 if not in chunk.</returns>
        long SkipTo(uint documentId);
    }
}


