﻿namespace NETing.Index.ColumnAccess.Implementations.Raw
{
    using System;
    
    using Writers;

    public sealed class RawPositionColumnWriter : AbstractPositionColumnWriter
    {
        public override int MaxHeaderBytes
        {
            get { return 0; }
        }

        public override int Write(byte[] buffer, int offset)
        {
            Buffer.BlockCopy(values, 0, buffer, offset, count << 1);
            return offset + (count << 1);
        }
    }
}
