﻿namespace NETing.Index.ColumnAccess.Implementations.Raw
{
    using Utils.ByteArrays;
    using Writers;

    public sealed class RawScopeColumnWriter : AbstractScopeColumnWriter
    {
        public override int MaxHeaderBytes
        {
            get { return 0; }
        }

        public override int Write(byte[] buffer, int offset)
        {
            BlockCopy.Copy(pathTypes, 0, buffer, offset, count << 1);
            BlockCopy.Copy(deweyElements, 0, buffer, offset + (count << 1), deweyCount << 1);
            return offset + ((count + deweyCount) << 1);
        }
    }
}
