﻿namespace NETing.Index.ColumnAccess.Readers
{
    using Documents.DocumentModel.Scope;
    using PostingFile;

    public abstract class AbstractPositionColumnReader
    {
        public ScopeDirectory ScopeDirectory { get; set; }

        public abstract AbstractPositionChunkEnumerator CreateEnumerator();

        public static void InitializeEnumerator(
            AbstractPositionChunkEnumerator enumerator,
            PostingFileDataReader dataReader,
            long filePosition,
            uint chunkLength,
            uint occurrences)
        {
            enumerator.LoadChunk(dataReader, filePosition, chunkLength, occurrences);
        }
    }
}