﻿namespace NETing.Index.ColumnAccess.Writers
{
    public abstract class AbstractFrequencyColumnWriter : AbstractColumnWriter
    {
        protected readonly ushort[] values = new ushort[128];

        public void Add(ushort value)
        {
            values[count++] = value;
        }

        public int MaxBytes
        {
            get { return count << 1; }
        }
    }
}