﻿namespace NETing.Index.Controller
{
    using System.IO;

    public class StorageProfile
    {
        public FileInfo DictionaryFile { get; private set; }

        public FileInfo ScopeDirectoryFile { get; private set; }

        public FileInfo PostingFile { get; private set; }

        public StorageProfile(
            FileInfo dictionaryFile, 
            FileInfo scopeDirectoryFile, 
            FileInfo postingFile)
        {
            DictionaryFile = dictionaryFile;
            ScopeDirectoryFile = scopeDirectoryFile;
            PostingFile = postingFile;
        }
    }
}
