﻿namespace NETing.Index.Documents.DocumentModel
{
    using System.IO;

    public sealed class Document
    {
        public Stream Content { get; set; }

        internal DocumentInfo DocumentInfo { get; private set; }

        public Document(Stream content, uint documentId)
        {
            Content = content;
            DocumentInfo = new DocumentInfo { DocumentId = documentId };
        }
    }
}