﻿namespace NETing.Index.PathMatching.Syntax
{
    internal class ExpressionToken
    {
        public TokenType Type { get; set; }

        public string Value { get; set; }

        public int Position { get; set; }

        public override bool Equals(object obj)
        {
            var asToken = obj as ExpressionToken;
            if (asToken == null)
            {
                return false;
            }

            return Type == asToken.Type 
                   && Value == asToken.Value 
                   && Position == asToken.Position;
        }

        public override string ToString()
        {
            return Type + ", " + Position + ": " + Value;
        }
    }
}


