﻿namespace NETing.Index.Storage.Buffer
{
    using System;

    public interface IBufferManager : IDisposable
    {
        int BlockSize { get; }
        
        BlockBuffer Pin(long fileOffset, bool read);
        
        void UnPin(BlockBuffer buffer);
        
        BlockBuffer ExchangeBuffers(BlockBuffer buffer, long fileOffset, bool read);
        
        void Force();
    }
}