set terminal postscript landscape color lw 1 "Helvetica" 14 
set output "index.scope.size.ps"
set size 1, 1


set boxwidth 0.9 relative

set style data histograms
set style fill solid 1 border -1

set key right

set ylabel "Scope column size (KB)"
set xrange [-0.4:0.5]
set yrange [0:*]
unset xtics

plot "index.scope.size.dat" u 1 t 'Raw',\
 "index.scope.size.dat" u 2 t 'VB\NVB',\
 "index.scope.size.dat" u 3 t 'PFor',\
 "index.scope.size.dat" u 4 t 'PTS.PFor',\
 "index.scope.size.dat" u 5 t 'CPFor',\
 "index.scope.size.dat" u 6 t 'PF.CPFor',\
 "index.scope.size.dat" u 7 t 'PTS.CPFor',\
 "index.scope.size.dat" u 8 t 'D.CPFor.16'