﻿namespace NETing.ExperimentsConsole.Experiments.QueryExecutionExperiment.Commands.Experiments
{
    using System.Collections.Generic;
    using System.IO;
    
    using Index.QueryLanguage;

    using System.Linq;

    internal sealed class ScopeIntersectionAll10AsPlain : AbstractQueryExperiment
    {
        public override string Name
        {
            get { return "intersection.paths.min10res"; }
        }

        public override IEnumerable<FileInfo> Traces
        {
            get { return new[]
                             {
                                 new FileInfo("..\\traces\\path.three.min10res")
                             }; }
        }

        public override IEnumerable<Query> Filter(IEnumerable<Query> queries)
        {
            return queries.Select(q => new Query(q.Terms));
        }
    }
}
