﻿namespace NETing.ExperimentsConsole.Experiments.QueryExecutionExperiment.Commands.Experiments
{
    using System.Collections.Generic;
    using System.IO;

    internal sealed class ThreadedExperiment : AbstractQueryExperiment
    {
        public override string Name
        {
            get { return "intersection.threads." + ConcurrencyLevel + ".threads"; }
        }

        public ThreadedExperiment(int concurrency)
        {
            ConcurrencyLevel = concurrency;
        }

        public override IEnumerable<FileInfo> Traces
        {
            get { yield return new FileInfo("..\\traces\\intersection.min1res"); }
        }
    }
}
