﻿namespace NETing.ExperimentsConsole.Experiments.UtilityConsole
{
    using System.Collections.Generic;
    
    using Abstract;
    
    using Commands;

    [Experiment(Name = "Utility console")]
    internal sealed class UtilityConsole : AbstractIndexConsole, IExperiment
    {
        protected override IEnumerable<IIndexConsoleCommand> GetCommands()
        {
            return new IIndexConsoleCommand[]
            {
               new ClassifyQueryLog(),
               new CompileQueryTrace(),
               new GenerateQueryTraces(),
               new MergeQueryTraces(),
               new ReadIndex(),
               new IndexStatistics()
            };
        }
    }
}
