﻿namespace NETing.Index.ColumnAccess.Implementations.PrefixVByte
{
    using Utils.Compression;
    using Writers;

    public sealed class PrefixVByteFrequencyColumnWriter : AbstractFrequencyColumnWriter
    {
        public override int Write(byte[] buffer, int offset)
        {
            for (int i = 0; i < count; i++)
            {
                offset = PrefixedVByte.Encode(values[i] - 1, buffer, offset);
            }

            return offset;
        }
    }
}
