﻿namespace NETing.Index.ColumnAccess.Implementations.Raw
{
    using Utils.ByteArrays;
    using Writers;

    public sealed class RawFrequencyColumnWriter : AbstractFrequencyColumnWriter
    {
        public override int MaxHeaderBytes
        {
            get { return 0; }
        }

        public override int Write(byte[] buffer, int offset)
        {
            BlockCopy.Copy(values, 0, buffer, offset, count << 1);
            return offset + (count << 1);
        }
    }
}
