﻿namespace NETing.Index.ColumnAccess.Implementations.VByte
{
    using Utils.Compression;

    using Writers;

    public sealed class VByteFrequencyColumnWriter : AbstractFrequencyColumnWriter
    {
        public override int Write(byte[] buffer, int offset)
        {
            for (int i = 0; i < count; i++)
            {
                offset = VByte.Encode((uint) (values[i] - 1), buffer, offset);
            }

            return offset;
        }
    }
}
