﻿namespace NETing.Index.ColumnAccess.Readers
{
    using Documents.DocumentModel.Scope;
    using PostingFile;

    public abstract class AbstractScopeColumnReader
    {
        public ScopeDirectory ScopeDirectory { get; set; }

        public abstract AbstractScopeChunkEnumerator CreateEnumerator();

        public static AbstractScopeChunkEnumerator InitializeEnumerator(
            AbstractScopeChunkEnumerator enumerator,
            PostingFileDataReader dataReader,
            long filePosition,
            uint chunkLength,
            uint occurrences)
        {
            return enumerator.LoadChunk(dataReader, filePosition, chunkLength, occurrences);
        }
    }

}