﻿namespace NETing.Index.ColumnAccess.Writers
{
    public abstract class AbstractColumnWriter
    {
        protected int count;

        public int Count
        {
            get { return count; }
        }

        public virtual int MaxHeaderBytes
        {
            get { return 0; }
        }

        public virtual int WriteHeader(byte[] buffer, int offset)
        {
            return offset;
        }

        public abstract int Write(byte[] buffer, int offset);

        public virtual void Reset()
        {
            count = 0;
        }
    }
}
