﻿namespace NETing.Index.Search
{
    using System;
    using System.Diagnostics;
    using PostingFile;

    [DebuggerDisplay("[Index = {Index}, Enumerator = {Enumerator}]")]
    internal sealed class ListHolder : IComparable<ListHolder>
    {
        public int Index;
        public PostingFileEnumerator Enumerator;

        public int CompareTo(ListHolder other)
        {
            return Enumerator.Current.CompareTo(other.Enumerator.Current);
        }
    }
}