﻿namespace NETing.Index.Search
{
    using System.Text;
    using Documents.DocumentModel.Scope;

    public sealed class QueryResult
    {
        public uint DocumentId;
        public uint Count;
        public ushort[] Positions;
        public Scope[] Scopes;
        internal ushort[] DeweyArray;

        public override string ToString()
        {
            var builder = new StringBuilder(1024);
            builder.Append("DocId: ").Append(DocumentId);
            builder.Append(" Count: ").Append(Count);
            builder.AppendLine(" Occurrences: ");
            for (int i = 0; i < Count; i++)
            {
                builder.Append("<").Append(Positions[i])
                    .Append(", ").Append(Scopes[i]).AppendLine("> ");
            }

            return builder.ToString();
        }
    }
}
