﻿namespace NETing.Index.Search.ScopeIntersection
{
    using System.Text;
    using Documents.DocumentModel.Scope;

    public sealed class ScopeIntersectionResult
    {
        public uint DocumentId;
        public Scope Scope;

        public QueryResult[] Occurrences;

        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append(DocumentId).Append(": ").Append(Scope).AppendLine();
            foreach (var s in Occurrences)
            {
                sb.Append(s.ToString());
            }

            return sb.ToString();
        }
    }
}
